Subject: [lojban] Re: loi preti be fi lo nincli zo'u tu'e

From: Robin Lee Powell <[email-masked]>
Date: Fri, 24 Jan 2003 11:58:01 -0800

On Fri, Jan 24, 2003 at 07:36:21PM +0000, Martin Bays wrote:
> On Thu, 23 Jan 2003, Robin Lee Powell wrote:
> > On Thu, Jan 23, 2003 at 11:46:04PM +0000, Martin Bays wrote:
> > > On Thu, 23 Jan 2003, Robin Lee Powell wrote:
> > > > On Sun, Jan 19, 2003 at 01:33:18PM +0000, Martin Bays wrote:
> > > [more snip]
> > > >
> > > > ce'o doesn't work in mex, nor do any of the set operators, which
> > > > is *insane*. I have *no* idea how to do set math in lojban.
> > > > jo'i is *certainly* not it. If I knew how to get JOI to work in
> > > > mex, that would be fixable, but I've no idea how to do that. If
> > > > we can't make JOI work in mex, then we either need to add set
> > > > and sequence operations to mex, or I'm going to throw my weight
> > > > on the "mex are totally useless" side of the argument.
> > > >
> > >
> > > Umm... you can have JOI connected operands (see e.g.
> > > CLL18.17.10)... whether this is an acceptable way of doing
> > > mathematical sequences I don't know, though I'd assumed it was.
> >
> > li vei pa ce re ce ci ve'o vu'u re
> >
> > works in jbofihe. As do a few other examples. I'm sorry, you're
> > absolutely right.
> >
> > Oddly enough,
> >
> > li ma'o fy. pa jo'i re ce ci
> >
> 
> I read that as "f(1,({1,3}))". Is that right, and is it what you meant?

I think that's right, and I have no idea what I intended. 8)

> > works but
> >
> > li ma'o fy. pa ce re ce ci
> >
> > does not. Anyone know why?
> 
> You need the boi - {li ma'o fy. boi pa ce re ce ci} works.

Oh, good. That even makes sense, I guess. 8)

> > li ma'o fy. vei pa ce re ce ci
> >
> > does work, though, and I can accept that, although I'm more likely
> > to use jo'i.
> 
> If you want a JOI equivalent of jo'i, shouldn't you be using ce'o? ce
> is "in a set with".

Yes, probably. 8)

> > Now if I just had math stuff to write in lojban... Any ideas? I
> > was toying a bit with Einstein's original Relativity paper.
> 
> Fantastic idea!
> 
> > As an added bonus, "li pa ce re ce ci vu'u re" appears to be
> > equivalent to the version with vei and ve'o, and satisfies my
> > concerns about lojban not having all set operations; if anyone
> > things that the above does *not* evaluate to "pa ce ci", please let
> > me know.
> 
> I don't see why it should... If you're using vu'u as a set subtraction
> operator, surely it needs both sides to be sets. But {re} on its own
> is "2", not "{2}". Would {lu'i li re} be "{2}"?

I thought any value could be considered a singleton set containing only
itself. Fortunately, "li pa ce re ce ci vu'u lu'i re" works, so it's
irrelevant. Does that work for set subtraction IYO?

> > Now, on to the general set problems.
> >
> > Unfortunately, that doesn't fix the general set problems. In
> > particular, if we have:
> >
> > le pamoi gerku ce remoi gerku ce cimoi gerku ku ku'a le remoi gerku
> > ce vomoi gerku
> >
> > I'm not sure how to turn that into a set subtraction, without which
> > we do *not* have a complete set (ha ha) of general set operators.
> >
> > Some ideas, comments requested:
> >
> > le pamoi gerku ce remoi gerku ce cimoi gerku ku ku'a ni'u le remoi
> > gerku
> >
> > le pamoi gerku ce remoi gerku ce cimoi gerku ku ku'a da'a le remoi
> > gerku
> >
> > le pamoi gerku ce remoi gerku ce cimoi gerku ku ku'a nai le remoi
> > gerku
> >
> > I think I like da'a the best, but they all suck, IMO. Having a
> > cmavo for set subtraction seems reasonable.
> 
> da'a seems best... though this approach does mean you're taking an
> intersection with a proper class, which might be something we'd rather
> avoid (isn't it?).

.oiro'a What's a proper class?

Does that mean you agree that a set subtraction cmavo is needed?

> > > > As the only B.Math here, AFAIK, I'd like to think that my weight
> > > > matters in this case. 8)
> > >
> > > Give me a few months, and I'm afraid I'll be a BMath in all but
> > > name... and give me another year and I should be an MMath. And
> > > then I'll outrank you! Hee-hee.
> >
> > An actual M.Math, or an M.Sc. in Math? If an actual M.Math, what
> > school?
> 
> Eeek! I get confused with the terminology. It's this weird system we
> have in England (and maybe the whole of Britain) where you get MMath
> for doing a four year first degree, and a BMath (or actually, maybe
> just a BA - is a BMath something more special?) for doing the usual
> three years.

A B.Math is a Bachelor of Mathematics, and it implies that your school
has an actual Mathematics *Faculty*, which is very rare; most schools
have a Mathematics *Department* underneath the Science or Arts
faculties; in the former case you're getting a B.Sc., and a B.A. in the
latter.

It is in no way more prestigious, it is merely more rare. And since I
never *wanted* a Math degree, and am in fact quite bad at advanced
mathematics, it's something of a personal joke. 8)

> > > I have actually tried to do a little translation of logic/set
> > > theory stuff into lojban... but not without difficulty. And I
> > > found normal bridi more useful than mex - but then I haven't
> > > really fully absorbed that chapter yet.
> >
> > <nod>
> >
> > I would like to translate something mathematical and substantial;
> > got any contacts that would like to let us release a translated
> > paper?
> 
> Ummm... I guess I could ask someone. Can you be more specific? Do you
> just want some random high-powered maths research? 

What I'd *really* like to do would be a textbook (or, more likely, a
portion thereof), precisely for reasons of comprehensibility.

> Would it be comprehensible enough to be translatable? And how official
> a "release"?

I would like to able to make the lojban translation generally available.
Obviously *only* the lojban translation would be so available, so
there'd be very little fear of the author losing money.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u crepu le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi